package com.ruoyi.project.aspen.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.aspen.mapper.TElecdashboardAlarmMapper;
import com.ruoyi.project.aspen.domain.TElecdashboardAlarm;
import com.ruoyi.project.aspen.service.ITElecdashboardAlarmService;

/**
 * 电厂大屏预警Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-19
 */
@Service
public class TElecdashboardAlarmServiceImpl implements ITElecdashboardAlarmService
{
    @Autowired
    private TElecdashboardAlarmMapper tElecdashboardAlarmMapper;

    /**
     * 查询电厂大屏预警
     *
     * @param id 电厂大屏预警ID
     * @return 电厂大屏预警
     */
    @Override
    public TElecdashboardAlarm selectTElecdashboardAlarmById(Long id)
    {
        return tElecdashboardAlarmMapper.selectTElecdashboardAlarmById(id);
    }

    /**
     * 查询电厂大屏预警列表
     *
     * @param tElecdashboardAlarm 电厂大屏预警
     * @return 电厂大屏预警
     */
    @Override
    public List<TElecdashboardAlarm> selectTElecdashboardAlarmList(TElecdashboardAlarm tElecdashboardAlarm)
    {
        return tElecdashboardAlarmMapper.selectTElecdashboardAlarmList(tElecdashboardAlarm);
    }

    /**
     * 新增电厂大屏预警
     *
     * @param tElecdashboardAlarm 电厂大屏预警
     * @return 结果
     */
    @Override
    public int insertTElecdashboardAlarm(TElecdashboardAlarm tElecdashboardAlarm)
    {
        return tElecdashboardAlarmMapper.insertTElecdashboardAlarm(tElecdashboardAlarm);
    }

    /**
     * 修改电厂大屏预警
     *
     * @param tElecdashboardAlarm 电厂大屏预警
     * @return 结果
     */
    @Override
    public int updateTElecdashboardAlarm(TElecdashboardAlarm tElecdashboardAlarm)
    {
        return tElecdashboardAlarmMapper.updateTElecdashboardAlarm(tElecdashboardAlarm);
    }

    /**
     * 批量删除电厂大屏预警
     *
     * @param ids 需要删除的电厂大屏预警ID
     * @return 结果
     */
    @Override
    public int deleteTElecdashboardAlarmByIds(Long[] ids)
    {
        return tElecdashboardAlarmMapper.deleteTElecdashboardAlarmByIds(ids);
    }

    /**
     * 删除电厂大屏预警信息
     *
     * @param id 电厂大屏预警ID
     * @return 结果
     */
    @Override
    public int deleteTElecdashboardAlarmById(Long id)
    {
        return tElecdashboardAlarmMapper.deleteTElecdashboardAlarmById(id);
    }
}
